Skip to main content

Get Deposit Info

GET 

/v1/crossborder/deposits/info

Retrieve deposit information for a specific currency. Returns bank/institution name, beneficiary details, and account information needed to make a deposit.

Request

Query Parameters

    currency_symbol stringrequired

    Possible values: [USD, BRL, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG]

    Currency symbol.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    The product ID is a UUID (v4) used to identify the Z.ro product configuration.

    x-product-target-user-uuid string

    The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.

Responses

Deposit info returned successfully.

Schema
    bank_name stringrequired

    Bank/Institution name.

    bank_code string

    Bank code.

    branch string

    Branch.

    beneficiary_name stringrequired

    Beneficiary name.

    beneficiary_document stringrequired

    Beneficiary document.

    beneficiary_account string

    Beneficiary wallet/account.

    wallet_address string

    Wallet address (crypto transfer).

    wallet_name string

    Wallet name (crypto transfer).

    network string

    Network (crypto transfer).

    wallet_provider string

    Wallet provider (crypto transfer).

Loading...